%global altname  QEverCloud

%global commit          256e2f533fbc7becf78c0c34a446075e7f0af0bd
%global shortcommit     %(c=%{commit}; echo ${c:0:7})
%global snapshotdate    20190428

Name:       qevercloud
Summary:    Unofficial Evernote Cloud API for Qt5
Version:    4.0.0
Release:    4.%{snapshotdate}git%{shortcommit}%{?dist}

License:    MIT
URL:        https://github.com/d1vanov/QEverCloud
Source0:    %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

ExclusiveArch: %{qt5_qtwebengine_arches}

BuildRequires: cmake
BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Widgets)
BuildRequires: cmake(Qt5Network)
BuildRequires: cmake(Qt5WebEngineCore)
BuildRequires: cmake(Qt5WebEngineWidgets)
BuildRequires: doxygen
BuildRequires: qt5-doctools


%description
This library presents the complete Evernote SDK for Qt. All the functionality
that is described on Evernote site is implemented and ready to use.
In particular OAuth authentication is implemented.


%package devel
Summary:       Headers files for developing with %{altname}
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for developing applications that use %{altname}.


%package doc
Summary: Documentation for %{altname}
BuildArch: noarch
Requires: qt5-qtbase

%description doc
%{summary}.


%prep
# Unpacking main tarball with sources...
%autosetup -n %{altname}-%{commit}


%build
mkdir build && cd build
%cmake ../  -DBUILD_QCH_DOCUMENTATION=ON \
            -DCMAKE_INSTALL_LIBDIR=%{_qt5_libdir} \
            -DQHELPGENERATOR_EXECUTABLE=%{_bindir}/qhelpgenerator-qt5
%make_build
make doc


%install
cd build
%make_install

install -Dpm0644 -t %{buildroot}%{_qt5_docdir} \
  %{altname}.qch
mkdir -p %{buildroot}%{_qt5_docdir}/%{altname}
cp -aR doc/html/* %{buildroot}%{_qt5_docdir}/%{altname}


%ldconfig_scriptlets


%check
build/QEverCloud/test_QEverCloud


%files
%doc API_breaks_3_to_4.md CHANGELOG.md README.md
%license LICENSE
%{_qt5_libdir}/libqt5qevercloud.so.4*


%files devel
%{_includedir}/qt5qevercloud
%{_qt5_libdir}/libqt5qevercloud.so
%{_qt5_libdir}/cmake/QEverCloud-qt5/


%files doc
%doc API_breaks_3_to_4.md CHANGELOG.md README.md
%license LICENSE
%{_qt5_docdir}/%{altname}.qch
%{_qt5_docdir}/%{altname}


%changelog
* Sun Apr 28 19:58:04 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 4.0.0-4.20190428git256e2f5
- Bump to commit 256e2f533fbc7becf78c0c34a446075e7f0af0bd

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-3.20180622git238ca5f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 22 2018 Robert-André Mauchin <zebob.m@gmail.com> - 4.0.0-2.20180622git238ca5f
- Bump to commit 238ca5f9a5e419a50227286bf12b543597b2998c

* Fri Feb 02 2018 Robert-André Mauchin <zebob.m@gmail.com> - 4.0.0-1
- Initial RPM release.
